> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# List Bdcs

GET https://api.filesearch.dev/v2/datasets/odyssey/credit-analysis/bdc

List all tracked Business Development Companies (BDCs).

BDCs are publicly traded private credit funds that disclose every loan quarterly.
Returns ticker, name, and SEC CIK for each tracked BDC.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/credit-analysis/bdc/credit-analysis-list-bdcs

## Response

### 200

Successful Response

- `bdcs` (list of OdysseyCreditAnalysisListBdcsResponseBdcsItems, optional)
- `total` (integer, optional)

## Types

### OdysseyCreditAnalysisListBdcsResponseBdcsItems

- `ticker` (string, optional)
- `name` (string, optional)
- `cik` (string, optional)

## Examples

**Response**

```json
{
  "bdcs": [
    {
      "ticker": "ARCC",
      "name": "Ares Capital Corporation",
      "cik": "0001287750"
    },
    {
      "ticker": "FSK",
      "name": "FS KKR Capital Corp",
      "cik": "0001422559"
    }
  ],
  "total": 20
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/credit-analysis/bdc",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/credit-analysis/bdc`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```